<a name="menu">目录</a>
1. [个体户信息列表](#allPage)
1. [个体户详情](#info)
1. [用户签约](#sign)
1. [签约管理个体户名称下拉](#signNames)
1. [签约管理列表](#signPage)



## **<a name="allPage"> 个体户信息 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/allPage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",             
        "pageSize": "10",
        "merchantId": "",               // 商户ID
        "orderId": "",                  // 订单号
        "status": "",                   // 用户状态
    }


```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
                "id": 1,
                "merchant_id": 110269,      // 商户id
                "order_id": ""              // 订单号
                "channelOrderNo": ""        // 渠道订单号

                "bstatus": "2020",          // 业务状态
                "bstatusName": "已完成",     // 业务状态名称

                "gstatus": "2020",          // 客户看到状态
                "gstatusName": "已完成",     // 客户看到状态名称

                "dstatus": "2020",          // 交付商状态
                "dstatusName": "已完成",     // 交付商状态名称

                "legalName": "",            // 法人姓名
                "legalMobile": "",          // 法人电话
                "legalIdcard": "",          // 法人身份证

                "name": ""                  // 个体工商户名称
                "creditCode": ""            // 统一社会信用代码

                "merchant": {               // 商户信息
                    "id": "110646227",      // 商户id
                    "name": "司机宝"         // 商户名称
                }

                "businessPlace": ""         // 经营场所
                "businessScope": ""         // 经营范围
                "regDate": ""               // 注册日期
                "businessImg": ""           // 执照照片
                "gongzhang": ""             // 公章
                "caiwuzhang": ""            // 财务章
                "fapiaozhang": ""           // 发票章
                "hetongzhang": ""           // 合同章
                "farenzhang": ""            // 法人章
                "isBank": ""                // 是否开户
                "bankName": ""              // 账户名称
                "bankNo": ""                // 账户号
                "bank": ""                  // 开户行
                "bankImg": ""               // 账户信息
                "caImg": ""                 // CA照片
                "taxRegDay": ""             // 税务登记日
                "taxOrg": ""                // 税务机构名称
                "courierNo": ""             // 快递单号
                "courierImg": ""            // 快递交接单图片
                "addedValueRate": ""        // 增值税率
                "supertaxRate": ""          // 附加税率
                "commonTaxLadder": ""       // 普票个税阶梯
                "commonOtherLadder": ""     // 普票增值税、附加税阶梯
                "specialTaxLadder": ""      // 专票个税阶梯
                "specialOtherLadder": ""    // 专票增值税、附加税阶梯
                "contract": ""              // 个体户合同
                "contractStartData": ""     // 合同开始时间
                "contractEndData": ""       // 合同结束时间
                "notes": ""                 // 备注
                "opNotes": ""               // 操作备注
                "created_at": "",           // 创建时间

                "taxUpType": "1",           // 个税累计类型 1按月累计 2按年累计
                "addValueUpType": "1",      // 增值税累计类型 1按月 2按季度
                "costRate": 11.22,          // 核定成本费用率
                "taxRate": 3.20,            // 含税价百分比
                "serviceRate": 1.25,        // 服务费比例
                "signNotes": null,          // 签约备注
                "signTime": null,           // 签约时间

            }
        ]
    }
}


```



## **<a name="info"> 个体户详情 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/info]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "1",
    }

```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
                "id": 1,
                "merchant_id": 110269,      // 商户id
                "order_id": ""              // 订单号
                "channelOrderNo": ""        // 渠道订单号

                "bstatus": "2020",          // 业务状态
                "bstatusName": "已完成",     // 业务状态名称

                "gstatus": "2020",          // 客户看到状态
                "gstatusName": "已完成",     // 客户看到状态名称

                "dstatus": "2020",          // 交付商状态
                "dstatusName": "已完成",     // 交付商状态名称

                "legalName": "",            // 法人姓名
                "legalMobile": "",          // 法人电话
                "legalIdcard": "",          // 法人身份证

                "name": ""                  // 个体工商户名称
                "creditCode": ""            // 统一社会信用代码

                "merchant": {               // 商户信息
                    "id": "110646227",      // 商户id
                    "name": "司机宝"         // 商户名称
                }

                "businessPlace": ""         // 经营场所
                "businessScope": ""         // 经营范围
                "regDate": ""               // 注册日期
                "businessImg": ""           // 执照照片
                "gongzhang": ""             // 公章
                "caiwuzhang": ""            // 财务章
                "fapiaozhang": ""           // 发票章
                "hetongzhang": ""           // 合同章
                "farenzhang": ""            // 法人章
                "isBank": ""                // 是否开户
                "bankName": ""              // 账户名称
                "bankNo": ""                // 账户号
                "bank": ""                  // 开户行
                "bankImg": ""               // 账户信息
                "caImg": ""                 // CA照片
                "taxRegDay": ""             // 税务登记日
                "taxOrg": ""                // 税务机构名称
                "courierNo": ""             // 快递单号
                "courierImg": ""            // 快递交接单图片
                "addedValueRate": ""        // 增值税率
                "supertaxRate": ""          // 附加税率
                "commonTaxLadder": ""       // 普票个税阶梯
                "commonOtherLadder": ""     // 普票增值税、附加税阶梯
                "specialTaxLadder": ""      // 专票个税阶梯
                "specialOtherLadder": ""    // 专票增值税、附加税阶梯
                "contract": ""              // 个体户合同
                "contractStartData": ""     // 合同开始时间
                "contractEndData": ""       // 合同结束时间
                "notes": ""                 // 备注
                "opNotes": ""               // 操作备注
                "created_at": "",           // 创建时间
            }
        ]
    }
}


```


## **<a name="sign"> 用户签约 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/sign]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "id" : "12797237916000358",                         // 个体户id
    "taxUpType":"10",                                   // 个税累计
    "addValueUpType":""                                 // 增值税累计
    "costRate":"1122",                                  // 核定成本费用率
    "taxRate" : "",                                     // 含税价百分比
    "serviceRate" : "",                                 // 服务费百分比

    "signNotes":"  12qwdwqd",                           // 签约备注
    "commonTaxLadder": [                    // 普票个税梯度
        {
            "minValue": 0,              // 区间最小值
            "rate": "0",                // 税率
            "quiCalDed": 1000,          // 素算扣除数
            "maxValue": 3000000         // 区间最大值
        },
    ],
    "commonOtherLadder": [              // 普票增值税梯度
        {
            "minValue": 0,              // 区间最小值
            "zengzhiRate": "0",         // 增值税税率
            "fujiaRate": "0",           // 附加税税率
            "maxValue": 3000000         // 区间最大值
        },
        
    ],
    "specialTaxLadder": [                // 专票个税梯度
        {
            "minValue": 0,              // 区间最小值
            "rate": "0",                // 税率
            "quiCalDed": 1000,          // 素算扣除数
            "maxValue": 3000000         // 区间最大值
        },
    ],
    "specialOtherLadder": [              // 专票增值税梯度
        {
            "minValue": 0,              // 区间最小值
            "zengzhiRate": "0",         // 增值税税率
            "fujiaRate": "0",           // 附加税税率
            "maxValue": 3000000         // 区间最大值
        },
        
    ],
    "invoicecontents": [                // 开票内容
        {
            "invoicecontent_id": "1"    // 开票内容id
            "invoicecontentName": "xx"  // 开票内容名称
        }
    ],
}
```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
}

```


## **<a name="signNames"> 签约管理个体户名称下拉 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/signNames]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
    }

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": "12795594625000138",      // 个体户id  businessmenId
            "name": "杨庆菊商贸有限公司"       // 个体户名称
        },
        {
            "id": "12797237916000358",
            "name": "张娇有限公司"
        },
        {
            "id": "13180527741002204",
            "name": "xxxx啊啊啊啊"
        }
    ],
    "requestid": "f001946b2787479785216099ef64dec4"
}

```



## **<a name="signPage"> 签约管理列表 </a>**
[返回到目录](#menu)
##### URL
[/web/business/businessmenCtl/signPage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": "1",             
        "pageSize": "10",
        "businessmenId": "",            // 商户ID   使用接口  签约管理个体户名称下拉 筛选
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 8,
        "rows": [
            {
                "id": 1,
                "merchant_id": 110269,      // 商户id
                "order_id": ""              // 订单号
                "channelOrderNo": ""        // 渠道订单号

                "bstatus": "2020",          // 业务状态
                "bstatusName": "已完成",     // 业务状态名称

                "gstatus": "2020",          // 客户看到状态
                "gstatusName": "已完成",     // 客户看到状态名称

                "dstatus": "2020",          // 交付商状态
                "dstatusName": "已完成",     // 交付商状态名称

                "legalName": "",            // 法人姓名
                "legalMobile": "",          // 法人电话
                "legalIdcard": "",          // 法人身份证

                "name": ""                  // 个体工商户名称
                "creditCode": ""            // 统一社会信用代码

                "merchant": {               // 商户信息
                    "id": "110646227",      // 商户id
                    "name": "司机宝"         // 商户名称
                }

                "businessPlace": ""         // 经营场所
                "businessScope": ""         // 经营范围
                "regDate": ""               // 注册日期
                "businessImg": ""           // 执照照片
                "gongzhang": ""             // 公章
                "caiwuzhang": ""            // 财务章
                "fapiaozhang": ""           // 发票章
                "hetongzhang": ""           // 合同章
                "farenzhang": ""            // 法人章
                "isBank": ""                // 是否开户
                "bankName": ""              // 账户名称
                "bankNo": ""                // 账户号
                "bank": ""                  // 开户行
                "bankImg": ""               // 账户信息
                "caImg": ""                 // CA照片
                "taxRegDay": ""             // 税务登记日
                "taxOrg": ""                // 税务机构名称
                "courierNo": ""             // 快递单号
                "courierImg": ""            // 快递交接单图片
                "addedValueRate": ""        // 增值税率
                "supertaxRate": ""          // 附加税率
                "commonTaxLadder": ""       // 普票个税阶梯
                "commonOtherLadder": ""     // 普票增值税、附加税阶梯
                "specialTaxLadder": ""      // 专票个税阶梯
                "specialOtherLadder": ""    // 专票增值税、附加税阶梯
                "contract": ""              // 个体户合同
                "contractStartData": ""     // 合同开始时间
                "contractEndData": ""       // 合同结束时间
                "notes": ""                 // 备注
                "opNotes": ""               // 操作备注
                "created_at": "",           // 创建时间

                "taxUpType": "1",           // 个税累计类型 1按月累计 2按季度 3按年
                "addValueUpType": "1",      // 增值税累计类型 1按月累计 2按季度 3按年
                "costRate": 11.22,          // 核定成本费用率
                "taxRate": 3.20,            // 含税价百分比
                "serviceRate": 1.25,        // 服务费比例
                "signNotes": null,          // 签约备注
                "signTime": null,           // 签约时间

            }
        ]
    }
}


```
